<!--


// verifies that there is a child node (avoids javascript error in IE)
// used for loading XML data where a value is empty or null
function checkForChildren(node)
{
  if (node.hasChildNodes())
    return node.firstChild.nodeValue;
  else
    return "";
} // checkForChildren

function openStatWin()
{
    statWindow=window.open("status.htm", "statWindow", "toolbar=no,scrollbars=no,width=450,height=300"); 
    statWindow.focus();
    return false;
} // openStatWin


function openHelpWin(help_file)
{

  if (top.frames[0])
  {
    if (top.frames[0].helpWindow)
    {
      if (top.frames[0].helpWindow.closed)
      {
        top.frames[0].helpWindow = window.open(help_file, "helpWindow", "toolbar=no,scrollbars=yes,width=800,height=500"); 
      }
      else
      {
        var str1 = new String(top.frames[0].helpWindow.location);
        idx1 = str1.indexOf("#");
        var str2 = new String(help_file);
        idx2 = str2.indexOf("#");
        if (idx1 == -1)
        {
          // currently on help home page, concatenate subpage onto home page
          if (idx2 != -1)
          {
            top.frames[0].helpWindow.location = str1.valueOf() + str2.substring(idx2,str2.length);
            top.frames[0].helpWindow.location.reload();
          }
          else
            // already at home page
            return false;
        }
        else
        {
          // replace current subpage with new subpage
          if (idx2 != -1)
          {
            top.frames[0].helpWindow.location = str1.substring(0, idx1) + str2.substring(idx2,str2.length);
            top.frames[0].helpWindow.location.reload();
          }
          else
          {
            // displaying home page
            top.frames[0].helpWindow.location = str1.substring(0, idx1);
            top.frames[0].helpWindow.location.reload();
          }
        }
      }
    }
    else
    {
      top.frames[0].helpWindow = window.open(help_file, "helpWindow", "toolbar=no,scrollbars=yes,width=800,height=500"); 
    }
  }
  else
  {
    helpWindow = window.open(help_file, "helpWindow", "toolbar=no,scrollbars=yes,width=800,height=500"); 
  }
  return false;
} // openHelpWin


function selectMenuItem(docroot, selitem)
{
  // turn off all links
  if (docroot.setup)
    docroot.setup.className = 'topnav';
  if (docroot.netsettings)
    docroot.netsettings.className = 'topnav';
  if (docroot.netfirewall)
    docroot.netfirewall.className = 'botnav';
  if (docroot.netrouting)
    docroot.netrouting.className = 'botnav';
  if (docroot.datetime)
    docroot.datetime.className = 'topnav';
  if (docroot.services)
    docroot.services.className = 'topnav';
  if (docroot.nfscifs)
    docroot.nfscifs.className = 'topnav';
  if (docroot.auth)
    docroot.auth.className = 'topnav';
  if (docroot.authlocal)
    docroot.authlocal.className = 'botnav';
  if (docroot.authremote)
    docroot.authremote.className = 'botnav';
  if (docroot.authnis)
    docroot.authnis.className = 'botnav';
  if (docroot.authldap)
    docroot.authldap.className = 'botnav';
  if (docroot.authradius)
    docroot.authradius.className = 'botnav';
  if (docroot.authsecurid)
    docroot.authsecurid.className = 'botnav';
  if (docroot.authkerberos)
    docroot.authkerberos.className = 'botnav';
  if (docroot.authtacacs)
    docroot.authtacacs.className = 'botnav';
  if (docroot.sshkeys)
    docroot.sshkeys.className = 'botnav';
  if (docroot.devports)
    docroot.devports.className = 'topnav';
  if (docroot.termport)
    docroot.termport.className = 'topnav';
  if (docroot.outlets)
    docroot.outlets.className = 'topnav';
  if (docroot.connect)
    docroot.connect.className = 'topnav';
  if (docroot.pccard)
    docroot.pccard.className = 'topnav';
  if (docroot.server)
    docroot.server.className = 'botnav';
  if (docroot.logs)
    docroot.logs.className = 'botnav';
  if (docroot.auditlog)
    docroot.auditlog.className = 'botnav';
  if (docroot.diag)
    docroot.diag.className = 'botnav';
  if (docroot.statusrep)
    docroot.statusrep.className = 'botnav';
  if (docroot.events)
    docroot.events.className = 'botnav';
  if (docroot.scsnetwork)
    docroot.scsnetwork.className = 'topnav';
  if (docroot.logoff)
    docroot.logoff.className = 'topnav';
  // turn on the link that was selected
  if (selitem != docroot.about && selitem)
    selitem.className = 'topnavcurr';
} // selectMenuItem


function getNumDevPorts()
{
  if (top.frames[0])
    return top.frames[0].document.theform.numdevports.value;
  else
    return 0;
} // getNumDevPorts


function selectDevicePort(dpid)
{
  var linkroot;
  var odd;
  var linkidx;
  var numdevports = getNumDevPorts();

  if (!top.frames[0])
    return;

  linkroot = top.frames[0].document.links;

  // turn off all links in the banner
  for ( var i=1 ; i<linkroot.length ; i++ )
    linkroot[i].className = 'bp';

  if (dpid == -1)
    return;

  // highlight selected device port
  odd = dpid % 2;
  if (odd == 0)
  {
    // bottom row of device ports
    if (numdevports == 48)
      linkidx = dpid / 2 + 28;
    else if (numdevports == 8)
      linkidx = dpid / 2 + 8;
    else if (numdevports == 16)
      linkidx = dpid / 2 + 12;
    else
      // 32 ports
      linkidx = dpid / 2 + 20;
    if (top.frames[0].document.theform.numoutlets.value != 0)
      // compensate for switch and outlet links
      linkidx = linkidx + 4 + (top.frames[0].document.theform.numoutlets.value * 1);
  }
  else
  {
    // top row of device ports
    linkidx = dpid * 1;  // convert string to number
    linkidx = (linkidx + 5) / 2;
  }
  linkroot[linkidx-1].className = 'bpcurr';
} // selectDevicePort


function selectOutlet(id)
{
  var linkroot;
  var odd;
  var linkidx;
  var numdevports = getNumDevPorts();

  if (!top.frames[0])
    return;

  linkroot = top.frames[0].document.links;

  // turn off all links in the banner
  for ( var i=1 ; i<linkroot.length ; i++ )
    linkroot[i].className = 'bp';

  if (id == -1)
    return;

  // highlight selected outlet
  linkidx = (((numdevports*1) + 5) - (((numdevports*1) + 5) % 2)) / 2;
  linkidx = linkidx + 4 + (id * 1);
  linkroot[linkidx-1].className = 'bpcurr';
} // selectOutlet

-->
